// Start =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
// General information section.
// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
// $Author:yongkiang$ User who last changed the file
// $Date:1/2/2013 12:17:01 PM$ Date and time of last check in
// $Revision:1.0$ Visual SourceSafe version number
// $Workfile::   SetupSecuritylevelPage.h                              $ Filename
// End =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
// {{AFX_INCLUDES()
#include "GridTable.h"
#include "MyPropertyPage.h"
#include "SecurityLevelRS.h"
#include "ShadeButtonST.h"
// }}AFX_INCLUDES
#if !defined(AFX_SETUPSECURITYLEVELPAGE_H__8DC4E063_AE7B_11D6_A81A_005004C029CA__INCLUDED_)
#define AFX_SETUPSECURITYLEVELPAGE_H__8DC4E063_AE7B_11D6_A81A_005004C029CA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SetupSecuritylevelPage.h : header file
//

#ifdef  BUILD_GUIDLL
#define     DLLCLASS    __declspec(dllexport)
#else
#define     DLLCLASS    __declspec(dllimport)
#endif

/////////////////////////////////////////////////////////////////////////////
// CSetupSecuritylevelPage dialog

class DLLCLASS CSetupSecuritylevelPage : public CMyPropertyPage // public CPropertyPage
{
DECLARE_DYNCREATE(CSetupSecuritylevelPage)

// Construction
public:
    CSetupSecuritylevelPage();
    ~CSetupSecuritylevelPage();

// Dialog Data
// {{AFX_DATA(CSetupSecuritylevelPage)
    enum {
        IDD = IDD_SETUP_SECURITYLEVEL_PAGE
    };
    CShadeButtonST m_undoBtn;
    CShadeButtonST m_saveBtn;
// }}AFX_DATA

// Overrides
// ClassWizard generate virtual function overrides
// {{AFX_VIRTUAL(CSetupSecuritylevelPage)
public:
    virtual BOOL OnSetActive();
    virtual BOOL OnKillActive();
protected:
    virtual void DoDataExchange(CDataExchange* pDX); // DDX/DDV support
// }}AFX_VIRTUAL

// Gary 2Aug11, V1.24.05
// let's override this virtual function
    LRESULT OnPropertyPageMessage(WPARAM wp, LPARAM lp);

// Implementation
protected:
// Generated message map functions
// {{AFX_MSG(CSetupSecuritylevelPage)
    virtual BOOL OnInitDialog();
    afx_msg void OnGridCtrl();

#if _MSC_VER > 1200 // Version Higher than VC6
    afx_msg void OnSaveButton();
#else // VC 6 Version
    afx_msg void OnSaveButton(BOOL bPrompt = FALSE);
#endif

    afx_msg void OnDestroy();
    afx_msg void OnUndoButton();
// }}AFX_MSG
    DECLARE_MESSAGE_MAP()

private:
    void DisplayIn2ndLang();
    void InitIconButtons();
    void InitGridCtrlBox();
    void SetDlgItemFont();
    CSecurityLevelRS m_pSecurityLevelRS;
    bool             m_bModified;
    int              nRow;

    class CGridEx : public CGridTable
    {
// Override this function to fill InPlaceListBoxes
    void FillListItems(int nCol, LPARAM cltList);
    };

    CGridEx m_gridTable;

#if _MSC_VER > 1200
    BOOL m_bPrompt;
#endif
};

// {{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SETUPSECURITYLEVELPAGE_H__8DC4E063_AE7B_11D6_A81A_005004C029CA__INCLUDED_)
